Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit dac4af1e authored by Nivesh Krishna's avatar Nivesh Krishna Committed by Arnau Vàzquez
Browse files

Fix npm version

parent 12009be6
Loading
Loading
Loading
Loading
+1 −0
Original line number Diff line number Diff line
@@ -18,6 +18,7 @@ python:
build:web:
  stage: build
  before_script:
    - ./manage node.update
    - ./manage node.env
  script:
    - ./manage themes.etheme
+13 −0
Original line number Diff line number Diff line
@@ -13,6 +13,7 @@ source_dot_config

PY_SETUP_EXTRAS='[test]'
NPM_PACKAGES="less@2.7 less-plugin-clean-css grunt-cli"
NPM_VERSION="6.14.5"
GECKODRIVER_VERSION="v0.28.0"
# SPHINXOPTS=

@@ -281,12 +282,24 @@ gecko.driver() {
    dump_return $?
}

node.update() {

    which npm &> /dev/null || die 1 'node.env - npm is not found!'

    build_msg INFO "npm version $(npm --version)"

    build_msg UPDATE "npm $NPM_VERSION"
    npm install npm@$NPM_VERSION -g

}

node.env() {
    local err=0
    pushd "${REPO_ROOT}" &> /dev/null
    # shellcheck disable=SC2230
    which npm &> /dev/null || die 1 'node.env - npm is not found!'

    build_msg INFO "npm version $(npm --version)"
    (   set -e
        # shellcheck disable=SC2030
        PATH="$(npm bin):$PATH"

package-lock.json

deleted100644 → 0
+0 −945

File deleted.

Preview size limit exceeded, changes collapsed.

+349 −340

File changed.

Preview size limit exceeded, changes collapsed.

+270 −270

File changed.

Preview size limit exceeded, changes collapsed.

Loading